#include <stdio.h>
int main ()
{
    int n;
    int i;
    int j;
    double max;
    scanf("%d",&n);
    int A[n];
    double P[n];
    double C[n];
    int S[n];
    double ptren=0;
    int stren=0;

    for(i=0;i<n;i++)
    {
        scanf("%d",&A[i]);
        for(j=0;j<n;j++)
        {
            if(j==i)
            {
                scanf("%lf",&P[j]);
                P[j]=P[j]/100.0;
            }
        }
    }


  for(j=0;j<n;j++)
    {
        ptren=P[j];
        stren=0;

        for(i=0;i<n;i++)
        {
            if (ptren<=P[i]) 
            {
              stren=stren+A[i];
            }
        }
        S[j]=stren;
    }


 for(i=0;i<n;i++)
{
    C[i]= P[i]*S[i];
}

max=C[0];
for(i=1;i<n;i++)
{
    if(C[i]>max)
    {
        max=C[i];
    }
}
printf("%.4lf\n",max);

return 0;

}